# LocationSource.OnLocationChangedListener | Android Developers

Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# LocationSource.OnLocationChangedListener

com.google.android.gms.maps.LocationSource.OnLocationChangedListener

## Class Overview

Handles a location update.

## Summary

Public Methods
abstract void | onLocationChanged(Location location) Called when a new user location is known.

## Public Methods

#### public abstract void onLocationChanged (Location location)

Called when a new user location is known.

##### Parameters

location | new location. Must not be null.